## Передача команды и параметров по шине SPI ##

При передаче пакета
- Конец пакета "0" - поэтому он не используется в передаче, а означает конец передачи.
1) Byte команды.
2) Byte[] массив параметров.
3) Byte контрольной суммы.

## Команды ##
- **AllClear** -
 очищение экрана.

Команда: 0x01

Параметры: 0 или 1 для заполнения белыми или черными пикселями

    0x01-0x02

Пример: *Заполнить экран белыми пикселями*

    0x01, 0x01

- **SetPage** -
 выбрать точку с которой начнем писать.

Команда: 0x02

Параметры: число от 1 до 7

    0x01-0x07

Пример: *Выбрать 3 строку*

    0x02, 0x03
    
- **AddSimbol** -
 добавление нового символа и его параметров.

Команда: 0x04

Параметры: символы - от 1 до 64

    0x01-0xFF, 0x01-0xFF ... 0x01-0xFF

Пример: *Добавить символы 5 и 7*

    0x04, 0x05, 0x07


- **DelSimbol** -
 удаление символа и его параметров.

Команда: 0x05

Параметры: число - сколько символов будет удалено

    0x01 - 0xFF

Пример: *Удалить 64 символа*

    0x05, 0x40

- **DrawPixel** -
 закрашивание пикселя.

Команда: 0x06

Параметры: x1, y1, color

    0x01-0x80, 0x01-0x40, 0x01 / 0x02

Пример: *Установить пиксель в x = 3 , y = 17 , color - белый.*

    0x06, 0x03, 0x11, 0x01 

- **DrawLine** -
 рисует линию.

Команда: 0x07

Параметры: x1,y1,x2,y2,color

Пример: *Нарисовать линию в x1 = 2 , y1 = 2 , x2 = 5 , y2 =5 , color - белый.*

    0x07, 0x02, 0x02, 0x05, 0x05, 0x01

- **DrawCircle** -
 рисует круг.

Команда: 0x08

Параметры: x,y,r,color

x,y - центр круга.

r - радиус.

Пример: *Нарисовать круг в x = 3, y = 15 , радиус = 10 , color - белый.*

    0x08, 0x03, 0x0F, 0x0A, 0x01

- **DrawRectangle** -
 рисует прямоугольник.

Команда: 0x09

Параметры: x,y,высота,ширина,color

x,y - верхняя левая точка.

Пример: *Нарисовать прямоугольник в x = 5 , y = 10 , высота = 7 , ширина = 10 , color - белый.*

    0x09, 0x05, 0x0A, 0x07, 0x0A, 0x01